<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/aml_info/inquire_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/05/82  inquire_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The inquire_ subroutine provides an interface to the Inquire Personal
<span id="L4" class="LineNr">  4 </span>User Database Manager.
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in inquire_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command.<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry: fields_from_userid: 02/06/82  inquire_$fields_from_userid
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>Function: Returns the values of the specified set of fields in the
<span id="L14" class="LineNr"> 14 </span>given user's Inquire entry.  If a particular field's privacy
<span id="L15" class="LineNr"> 15 </span>switch is set, a null string is returned for that value.
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>Syntax:
<span id="L19" class="LineNr"> 19 </span>declare inquire_$fields_from_userid entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> var<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr"> 20 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr"> 21 </span>call inquire_$fields_from_userid <span class="textRainbow_lv0_p0">(</span>userid<span class="textRainbow_lv0_o0">,</span> field_names_ptr<span class="textRainbow_lv0_o0">,</span> area_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr"> 22 </span>     field_values_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Arguments:
<span id="L26" class="LineNr"> 26 </span>userid
<span id="L27" class="LineNr"> 27 </span>   is the userid of the user for whom data is being requested.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr"> 28 </span>field_names_ptr
<span id="L29" class="LineNr"> 29 </span>   is a pointer to a standard inq_field_names structure, as declared in
<span id="L30" class="LineNr"> 30 </span>   inquire_dcls.incl.pl1.  This specifies the set of fields whose
<span id="L31" class="LineNr"> 31 </span>   values are to be returned.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr"> 32 </span>area_ptr
<span id="L33" class="LineNr"> 33 </span>   is a pointer to an area in which the return structure will be
<span id="L34" class="LineNr"> 34 </span>   allocated.  It must not be null.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>field_values_ptr
<span id="L36" class="LineNr"> 36 </span>   is a pointer to a standard inq_field_values structure, as declared
<span id="L37" class="LineNr"> 37 </span>   in inquire_dcls.incl.pl1, if the retrieval was successful.  This
<span id="L38" class="LineNr"> 38 </span>   contains the values found in the selected fields of the specified
<span id="L39" class="LineNr"> 39 </span>   user's entry, in the same order as specified in inq_field_names.
<span id="L40" class="LineNr"> 40 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr"> 41 </span>code
<span id="L42" class="LineNr"> 42 </span>   if positive it is a standard system error code.  If it is
<span id="L43" class="LineNr"> 43 </span>   negative, then it is the index into inq_field_names of the
<span id="L44" class="LineNr"> 44 </span>   first unrecognized field name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>Notes:  Because userids are unique in the Inquire database, there will
<span id="L48" class="LineNr"> 48 </span>only be one element in the entry array.
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>:Entry: fields_from_lname:  02/08/82  inquire_$fields_from_lname
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>Function:  This entry retrieves the values of a given set of fields
<span id="L55" class="LineNr"> 55 </span>from all the entries whose last_name field matches the specified last
<span id="L56" class="LineNr"> 56 </span>name.  If a particular field's privacy switch is set, a null string is
<span id="L57" class="LineNr"> 57 </span>returned for that value.
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>Syntax:
<span id="L61" class="LineNr"> 61 </span>declare inquire_$fields_from_lname entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> var<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L62" class="LineNr"> 62 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L63" class="LineNr"> 63 </span>call inquire_$fields_from_lname <span class="textRainbow_lv0_p0">(</span>last_name<span class="textRainbow_lv0_o0">,</span> field_names_ptr<span class="textRainbow_lv0_o0">,</span> area_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L64" class="LineNr"> 64 </span>     field_values_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>Arguments:
<span id="L68" class="LineNr"> 68 </span>last_name
<span id="L69" class="LineNr"> 69 </span>   is the last name to be matched against in the database.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L70" class="LineNr"> 70 </span>field_names_ptr
<span id="L71" class="LineNr"> 71 </span>   is a pointer to a standard inq_field_names structure, as declared in
<span id="L72" class="LineNr"> 72 </span>   inquire_dcls.incl.pl1.  This specifies the set of fields whose
<span id="L73" class="LineNr"> 73 </span>   values are to be returned.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L74" class="LineNr"> 74 </span>area_ptr
<span id="L75" class="LineNr"> 75 </span>   is a pointer to an area in which the return structure will be
<span id="L76" class="LineNr"> 76 </span>   allocated.  It must not be null.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L77" class="LineNr"> 77 </span>field_values_ptr
<span id="L78" class="LineNr"> 78 </span>   is a pointer to a standard inq_field_values structure, as declared
<span id="L79" class="LineNr"> 79 </span>   in inquire_dcls.incl.pl1, if the retrieval was successful.  This
<span id="L80" class="LineNr"> 80 </span>   contains the values found in the selected fields of the specified
<span id="L81" class="LineNr"> 81 </span>   users' entries, in the same order as specified in inq_field_names.
<span id="L82" class="LineNr"> 82 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L83" class="LineNr"> 83 </span>code
<span id="L84" class="LineNr"> 84 </span>   if positive it is a standard system error code.  If it is
<span id="L85" class="LineNr"> 85 </span>   negative, then it is the index into inq_field_names of the
<span id="L86" class="LineNr"> 86 </span>   first unrecognized field name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>:Entry: set_fields:  02/08/82  inquire_$set_fields
<span id="L90" class="LineNr"> 90 </span>
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>Function:  Replaces the specified fields' values in the caller's
<span id="L93" class="LineNr"> 93 </span>entry.
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>Syntax:
<span id="L97" class="LineNr"> 97 </span>declare inquire_$set_fields entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L98" class="LineNr"> 98 </span>call inquire_$set_fields <span class="textRainbow_lv0_p0">(</span>field_names_ptr<span class="textRainbow_lv0_o0">,</span> field_values_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>Arguments:
<span id="L102" class="LineNr">102 </span>field_names_ptr
<span id="L103" class="LineNr">103 </span>   is a pointer to a standard inq_field_names structure, as declared in
<span id="L104" class="LineNr">104 </span>   inquire_dcls.incl.pl1.  This specifies the set of fields whose
<span id="L105" class="LineNr">105 </span>   values are to be modified.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L106" class="LineNr">106 </span>field_values_ptr
<span id="L107" class="LineNr">107 </span>   is a pointer to a standard inq_field_values structure, as declared
<span id="L108" class="LineNr">108 </span>   in inquire_dcls.incl.pl1, if the retrieval was successful.  This
<span id="L109" class="LineNr">109 </span>   contains the new values to be stored into the user's entry, in the
<span id="L110" class="LineNr">110 </span>   same order as specified in inq_field_names.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L111" class="LineNr">111 </span>code
<span id="L112" class="LineNr">112 </span>   if positive it is a standard system error code.  If it is
<span id="L113" class="LineNr">113 </span>   negative, then it is the index into inq_field_names of the
<span id="L114" class="LineNr">114 </span>   first unrecognized field name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L115" class="LineNr">115 </span>
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>Notes:  If the user does not have an entry, one will be created, and
<span id="L118" class="LineNr">118 </span>   the specified fields will be filled in.  The entry thus created will
<span id="L119" class="LineNr">119 </span>   have its privacy flag on, but the privacy switches of the fields
<span id="L120" class="LineNr">120 </span>   will all be off.
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>:Entry: delete_entry:  03/05/82  inquire_$delete_entry
<span id="L124" class="LineNr">124 </span>
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>Function:  Deletes the caller's entry from the Inquire database.
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>Syntax:
<span id="L130" class="LineNr">130 </span>declare inquire_$delete_entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L131" class="LineNr">131 </span>call inquire_$delete_entry <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L132" class="LineNr">132 </span>
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>Arguments:
<span id="L135" class="LineNr">135 </span>code
<span id="L136" class="LineNr">136 </span>   Is a standard system error code.
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>
<span id="L139" class="LineNr">139 </span>:Entry: get_field_privacy_flags:  02/08/82  inquire_$get_field_privacy_flags
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>Function:  Returns the privacy flag settings for the given fields in
<span id="L143" class="LineNr">143 </span>the caller's entry.
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Syntax:
<span id="L147" class="LineNr">147 </span>declare inquire_$get_field_privacy_flags entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed
<span id="L148" class="LineNr">148 </span>     bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L149" class="LineNr">149 </span>call inquire_$get_field_privacy_flags <span class="textRainbow_lv0_p0">(</span>field_names_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L150" class="LineNr">150 </span>     field_privacies_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L151" class="LineNr">151 </span>
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>Arguments:
<span id="L154" class="LineNr">154 </span>field_names_ptr
<span id="L155" class="LineNr">155 </span>   is a pointer to a standard inq_field_names structure, as declared in
<span id="L156" class="LineNr">156 </span>   inquire_dcls.incl.pl1.  This specifies the set of fields whose
<span id="L157" class="LineNr">157 </span>   privacy flags will be returned.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L158" class="LineNr">158 </span>field_privacies_ptr
<span id="L159" class="LineNr">159 </span>   is a pointer to a standard inq_field_privacies structure, as
<span id="L160" class="LineNr">160 </span>   declared in inquire_dcls.incl.pl1.  It will be filled in with the
<span id="L161" class="LineNr">161 </span>   values of the privacy flags of the specified fields, in the order in
<span id="L162" class="LineNr">162 </span>   which they were specified in inq_field_names.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L163" class="LineNr">163 </span>code
<span id="L164" class="LineNr">164 </span>   if positive it is a standard system error code.  If it is
<span id="L165" class="LineNr">165 </span>   negative, then it is the index into inq_field_names of the
<span id="L166" class="LineNr">166 </span>   first unrecognized field name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L167" class="LineNr">167 </span>
<span id="L168" class="LineNr">168 </span>
<span id="L169" class="LineNr">169 </span>Notes:  In the inq_field_privacies structure, a value of &quot;1&quot;b for a
<span id="L170" class="LineNr">170 </span>privacy flag signifies that the field is private; a &quot;0&quot;b value means it
<span id="L171" class="LineNr">171 </span>is public.
<span id="L172" class="LineNr">172 </span>
<span id="L173" class="LineNr">173 </span>
<span id="L174" class="LineNr">174 </span>:Entry: set_field_privacy_flags: 02/08/82  inquire_$set_field_privacy_flags
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>
<span id="L177" class="LineNr">177 </span>Function:  Sets the privacy flags for the given fields in
<span id="L178" class="LineNr">178 </span>the caller's entry.
<span id="L179" class="LineNr">179 </span>
<span id="L180" class="LineNr">180 </span>
<span id="L181" class="LineNr">181 </span>Syntax:
<span id="L182" class="LineNr">182 </span>declare inquire_$set_field_privacy_flags entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed
<span id="L183" class="LineNr">183 </span>     bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L184" class="LineNr">184 </span>call inquire_$set_field_privacy_flags <span class="textRainbow_lv0_p0">(</span>field_names_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L185" class="LineNr">185 </span>     field_privacies_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L186" class="LineNr">186 </span>
<span id="L187" class="LineNr">187 </span>
<span id="L188" class="LineNr">188 </span>Arguments:
<span id="L189" class="LineNr">189 </span>field_names_ptr
<span id="L190" class="LineNr">190 </span>   is a pointer to a standard inq_field_names structure, as declared in
<span id="L191" class="LineNr">191 </span>   inquire_dcls.incl.pl1.  This specifies the set of fields whose
<span id="L192" class="LineNr">192 </span>   privacy flags will be changed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L193" class="LineNr">193 </span>field_privacies_ptr
<span id="L194" class="LineNr">194 </span>   is a pointer to a standard inq_field_privacies structure, as
<span id="L195" class="LineNr">195 </span>   declared in inquire_dcls.incl.pl1.  It contains the new
<span id="L196" class="LineNr">196 </span>   values of the privacy flags of the specified fields, in the order in
<span id="L197" class="LineNr">197 </span>   which they were specified in inq_field_names.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L198" class="LineNr">198 </span>code
<span id="L199" class="LineNr">199 </span>   if positive it is a standard system error code.  If it is
<span id="L200" class="LineNr">200 </span>   negative, then it is the index into inq_field_names of the
<span id="L201" class="LineNr">201 </span>   first unrecognized field name.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L202" class="LineNr">202 </span>
<span id="L203" class="LineNr">203 </span>
<span id="L204" class="LineNr">204 </span>Notes:  In the inq_field_privacies structure, a value of &quot;1&quot;b for a
<span id="L205" class="LineNr">205 </span>privacy flag signifies that the field is private; a &quot;0&quot;b value means it
<span id="L206" class="LineNr">206 </span>is public.
<span id="L207" class="LineNr">207 </span>
<span id="L208" class="LineNr">208 </span>
<span id="L209" class="LineNr">209 </span>:Entry: get_entry_privacy_flag: 02/08/82  inquire_$get_entry_privacy_flag
<span id="L210" class="LineNr">210 </span>
<span id="L211" class="LineNr">211 </span>
<span id="L212" class="LineNr">212 </span>Function:  Returns the value of the privacy flag for the caller's
<span id="L213" class="LineNr">213 </span>entry.
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>
<span id="L216" class="LineNr">216 </span>Syntax:
<span id="L217" class="LineNr">217 </span>declare inquire_$get_entry_privacy_flag entry <span class="textRainbow_lv0_p0">(</span>bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L218" class="LineNr">218 </span>call inquire_$get_entry_privacy_flag <span class="textRainbow_lv0_p0">(</span>privacy_flag<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L219" class="LineNr">219 </span>
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>Arguments:
<span id="L222" class="LineNr">222 </span>privacy_flag
<span id="L223" class="LineNr">223 </span>   The value of the privacy flag setting of the caller's entry.
<span id="L224" class="LineNr">224 </span>   If the  value is &quot;1&quot;b, then the entry is private.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L225" class="LineNr">225 </span>code
<span id="L226" class="LineNr">226 </span>   A standard system error code.
<span id="L227" class="LineNr">227 </span>
<span id="L228" class="LineNr">228 </span>
<span id="L229" class="LineNr">229 </span>:Entry: set_entry_privacy_flag: 02/08/82  inquire_$set_entry_privacy_flag
<span id="L230" class="LineNr">230 </span>
<span id="L231" class="LineNr">231 </span>
<span id="L232" class="LineNr">232 </span>Function:  Sets the value of the privacy flag of the caller's
<span id="L233" class="LineNr">233 </span>entry.
<span id="L234" class="LineNr">234 </span>
<span id="L235" class="LineNr">235 </span>
<span id="L236" class="LineNr">236 </span>Syntax:
<span id="L237" class="LineNr">237 </span>declare inquire_$set_entry_privacy_flag entry <span class="textRainbow_lv0_p0">(</span>bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L238" class="LineNr">238 </span>call inquire_$set_entry_privacy_flag <span class="textRainbow_lv0_p0">(</span>privacy_flag<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L239" class="LineNr">239 </span>
<span id="L240" class="LineNr">240 </span>
<span id="L241" class="LineNr">241 </span>Arguments:
<span id="L242" class="LineNr">242 </span>privacy_flag
<span id="L243" class="LineNr">243 </span>   The new value of the privacy flag setting of the caller's entry.
<span id="L244" class="LineNr">244 </span>   If the  value is &quot;1&quot;b, then the entry is private.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L245" class="LineNr">245 </span>code
<span id="L246" class="LineNr">246 </span>   A standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L247" class="LineNr">247 </span>
<span id="L248" class="LineNr">248 </span>
<span id="L249" class="LineNr">249 </span>:Entry: get_all_userids: 02/09/82  inquire_$get_all_userids
<span id="L250" class="LineNr">250 </span>
<span id="L251" class="LineNr">251 </span>
<span id="L252" class="LineNr">252 </span>Function:
<span id="L253" class="LineNr">253 </span>Returns the userid fields of every non-private entry in the
<span id="L254" class="LineNr">254 </span>Inquire database.
<span id="L255" class="LineNr">255 </span>
<span id="L256" class="LineNr">256 </span>
<span id="L257" class="LineNr">257 </span>Syntax:
<span id="L258" class="LineNr">258 </span>declare inquire_$get_all_userids entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L259" class="LineNr">259 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L260" class="LineNr">260 </span>call inquire_$get_all_userids <span class="textRainbow_lv0_p0">(</span>area_ptr<span class="textRainbow_lv0_o0">,</span> userids_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L261" class="LineNr">261 </span>     userid_count<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L262" class="LineNr">262 </span>
<span id="L263" class="LineNr">263 </span>
<span id="L264" class="LineNr">264 </span>Arguments:
<span id="L265" class="LineNr">265 </span>area_ptr
<span id="L266" class="LineNr">266 </span>   is an area in which the userids will be allocated.  If it is
<span id="L267" class="LineNr">267 </span>   null, then no userids will be returned, although the
<span id="L268" class="LineNr">268 </span>   userid_count will be set.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L269" class="LineNr">269 </span>userids_pptr
<span id="L270" class="LineNr">270 </span>   is a pointer to the returned array of userids, as declared in
<span id="L271" class="LineNr">271 </span>   inquire_dcls.  This will not be set if the area_ptr is null.
<span id="L272" class="LineNr">272 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L273" class="LineNr">273 </span>userid_count
<span id="L274" class="LineNr">274 </span>   is the number of elements in the userid array pointed to by
<span id="L275" class="LineNr">275 </span>   userids_ptr, or that would be returned had the area_ptr not
<span id="L276" class="LineNr">276 </span>   been null.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L277" class="LineNr">277 </span>code
<span id="L278" class="LineNr">278 </span>   is a standard system error code.
<span id="L279" class="LineNr">279 </span>
<span id="L280" class="LineNr">280 </span>
<span id="L281" class="LineNr">281 </span>:Entry: close_db: 02/12/82  inquire_$close_db
<span id="L282" class="LineNr">282 </span>
<span id="L283" class="LineNr">283 </span>
<span id="L284" class="LineNr">284 </span>Function: Close the Inquire database, which is normally kept open for
<span id="L285" class="LineNr">285 </span>the entire process for efficiency.  Use of this entry should not
<span id="L286" class="LineNr">286 </span>usually be necessary.
<span id="L287" class="LineNr">287 </span>
<span id="L288" class="LineNr">288 </span>
<span id="L289" class="LineNr">289 </span>Syntax:
<span id="L290" class="LineNr">290 </span>declare inquire_$close_db entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L291" class="LineNr">291 </span>call inquire_$close_db <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L292" class="LineNr">292 </span>
<span id="L293" class="LineNr">293 </span>
<span id="L294" class="LineNr">294 </span>Arguments:
<span id="L295" class="LineNr">295 </span>code
<span id="L296" class="LineNr">296 </span>   is a standard system error code.
<span id="L297" class="LineNr">297 </span>
<span id="L298" class="LineNr">298 </span>
<span id="L299" class="LineNr">299 </span>:Entry: close_db_no_code: 02/12/82  inquire_$close_db_no_code
<span id="L300" class="LineNr">300 </span>
<span id="L301" class="LineNr">301 </span>
<span id="L302" class="LineNr">302 </span>Function: The same as the close_db entrypoint, except that no error
<span id="L303" class="LineNr">303 </span>code is returned.
<span id="L304" class="LineNr">304 </span>
<span id="L305" class="LineNr">305 </span>
<span id="L306" class="LineNr">306 </span>Syntax:
<span id="L307" class="LineNr">307 </span>declare inquire_$close_db_no_code entry <span class="textRainbow_lv0_p0">()</span>;
<span id="L308" class="LineNr">308 </span>call inquire_$close_db_no_code <span class="textRainbow_lv0_p0">()</span>;
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
